2019-10-16 00:32 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002010FSSCPFREDpublic2010-03-25 08:10
ReporterFUBAR-BDHR 
Assigned Tokarajorma 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.11 
Target VersionFixed in Version3.6.12 RC2 
Summary0002010: Disabling special explosion with multiple ships selectd = crash
DescriptionTo reproduce open FRED, place 2 ships, select both, and open the ship editor. Click on special explosion and enable it (shockwave doesn't matter)and close the special explosion window. Open the special explosion window again and turn it off. Close special explosion window and <splat>

Attaching stack and variables
Additional Information3.6.11 r5620. Stack is from SSE2 but I confirmed in standard r5619 build.
TagsNo tags attached.
Attached Files
  • txt file icon specialhits.txt (20,663 bytes) 2009-10-27 04:09 -
    Assert: !stricmp(Sexp_variables[i].variable_name, ship_name)
    File: sexp.cpp
    Line: 20808
    
    <no module>! KiFastSystemCallRet
    <no module>! WaitForSingleObject + 18 bytes
    <no module>! SCP_DumpStack + 260 bytes
    <no module>! WinAssert + 208 bytes
    <no module>! sexp_variable_block_free + 176 bytes
    <no module>! ShipSpecialDamage::update_ship + 491 bytes
    <no module>! ShipSpecialDamage::OnOK + 115 bytes
    <no module>! _AfxDispatchCmdMsg + 178 bytes
    <no module>! CCmdTarget::OnCmdMsg + 742 bytes
    <no module>! CDialog::OnCmdMsg + 35 bytes
    <no module>! CWnd::OnCommand + 372 bytes
    <no module>! CWnd::OnWndMsg + 121 bytes
    <no module>! CWnd::WindowProc + 50 bytes
    <no module>! AfxCallWndProc + 240 bytes
    <no module>! AfxWndProc + 166 bytes
    <no module>! GetDC + 109 bytes
    <no module>! GetDC + 335 bytes
    <no module>! GetParent + 364 bytes
    <no module>! SendMessageW + 73 bytes
    <no module>! CreateMDIWindowA + 445 bytes
    <no module>! DeregisterShellHookWindow + 25362 bytes
    <no module>! IsDlgButtonChecked + 4250 bytes
    <no module>! SoftModalMessageBox + 3491 bytes
    <no module>! GetDC + 109 bytes
    <no module>! GetDC + 335 bytes
    <no module>! GetWindowLongW + 295 bytes
    <no module>! DispatchMessageW + 15 bytes
    <no module>! IsDialogMessageW + 219 bytes
    <no module>! IsDialogMessage + 74 bytes
    <no module>! CWnd::IsDialogMessageA + 115 bytes
    <no module>! CWnd::PreTranslateInput + 110 bytes
    <no module>! CDialog::PreTranslateMessage + 239 bytes
    <no module>! CWnd::WalkPreTranslateTree + 141 bytes
    <no module>! AfxInternalPreTranslateMessage + 79 bytes
    <no module>! CWinThread::PreTranslateMessage + 37 bytes
    <no module>! AfxPreTranslateMessage + 37 bytes
    <no module>! AfxInternalPumpMessage + 225 bytes
    <no module>! CWinThread::PumpMessage + 14 bytes
    <no module>! AfxPumpMessage + 33 bytes
    <no module>! CWnd::RunModalLoop + 471 bytes
    <no module>! CDialog::DoModal + 483 bytes
    <no module>! CShipEditorDlg::OnSpecialExp + 87 bytes
    <no module>! _AfxDispatchCmdMsg + 178 bytes
    <no module>! CCmdTarget::OnCmdMsg + 742 bytes
    <no module>! CDialog::OnCmdMsg + 35 bytes
    <no module>! CWnd::OnCommand + 372 bytes
    <no module>! CShipEditorDlg::OnCommand + 144 bytes
    <no module>! CWnd::OnWndMsg + 121 bytes
    <no module>! CWnd::WindowProc + 50 bytes
    <no module>! AfxCallWndProc + 240 bytes
    <no module>! AfxWndProc + 166 bytes
    <no module>! GetDC + 109 bytes
    <no module>! GetDC + 335 bytes
    <no module>! GetParent + 364 bytes
    <no module>! SendMessageW + 73 bytes
    <no module>! CreateMDIWindowA + 445 bytes
    <no module>! DeregisterShellHookWindow + 25362 bytes
    <no module>! IsDlgButtonChecked + 4250 bytes
    <no module>! SoftModalMessageBox + 3491 bytes
    <no module>! GetDC + 109 bytes
    <no module>! GetDC + 335 bytes
    <no module>! GetWindowLongW + 295 bytes
    <no module>! DispatchMessageW + 15 bytes
    <no module>! IsDialogMessageW + 219 bytes
    <no module>! IsDialogMessage + 74 bytes
    <no module>! CWnd::IsDialogMessageA + 115 bytes
    <no module>! CWnd::PreTranslateInput + 110 bytes
    <no module>! CDialog::PreTranslateMessage + 239 bytes
    <no module>! CWnd::WalkPreTranslateTree + 141 bytes
    <no module>! AfxInternalPreTranslateMessage + 79 bytes
    <no module>! CWinThread::PreTranslateMessage + 37 bytes
    <no module>! AfxPreTranslateMessage + 37 bytes
    <no module>! AfxInternalPumpMessage + 225 bytes
    <no module>! CWinThread::PumpMessage + 14 bytes
    <no module>! CWinThread::Run + 141 bytes
    <no module>! CWinApp::Run + 89 bytes
    <no module>! AfxWinMain + 239 bytes
    <no module>! WinMain + 26 bytes
    <no module>! __tmainCRTStartup + 358 bytes
    <no module>! WinMainCRTStartup + 15 bytes
    <no module>! RegisterWaitForInputIdle + 73 bytes
    
     	fred2_open_3_6_11d_INF_SSE2.exe!debug_int3(char * file=0x010fc76c, int line=897)  Line 760	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!WinAssert(char * text=0x010f4d70, char * filename=0x010f1a98, int linenum=20808)  Line 897 + 0x13 bytes	C++
    >	fred2_open_3_6_11d_INF_SSE2.exe!sexp_variable_block_free(const char * ship_name=0x013c075c, int start_index=-1, int block_type=3)  Line 20808 + 0x35 bytes	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!ShipSpecialDamage::update_ship(int shipnum=107)  Line 225 + 0x26 bytes	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!ShipSpecialDamage::OnOK()  Line 176	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!_AfxDispatchCmdMsg(CCmdTarget * pTarget=0x0012f5d8, unsigned int nID=1, int nCode=0, void (void)* pfn=0x0083b0b2, void * pExtra=0x00000000, unsigned int nSig=57, AFX_CMDHANDLERINFO * pHandlerInfo=0x00000000)  Line 82	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!CCmdTarget::OnCmdMsg(unsigned int nID=1, int nCode=0, void * pExtra=0x00000000, AFX_CMDHANDLERINFO * pHandlerInfo=0x00000000)  Line 381 + 0x27 bytes	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!CDialog::OnCmdMsg(unsigned int nID=1, int nCode=0, void * pExtra=0x00000000, AFX_CMDHANDLERINFO * pHandlerInfo=0x00000000)  Line 85 + 0x18 bytes	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!CWnd::OnCommand(unsigned int wParam=1, long lParam=27658594)  Line 2364	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!CWnd::OnWndMsg(unsigned int message=273, unsigned int wParam=1, long lParam=27658594, long * pResult=0x0012eff4)  Line 1769 + 0x1e bytes	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!CWnd::WindowProc(unsigned int message=273, unsigned int wParam=1, long lParam=27658594)  Line 1755 + 0x20 bytes	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!AfxCallWndProc(CWnd * pWnd=0x0012f5d8, HWND__ * hWnd=0x00f20538, unsigned int nMsg=273, unsigned int wParam=1, long lParam=27658594)  Line 240 + 0x1c bytes	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!AfxWndProc(HWND__ * hWnd=0x00f20538, unsigned int nMsg=273, unsigned int wParam=1, long lParam=27658594)  Line 403	C++
     	user32.dll!7e418734() 	
     	[Frames below may be incorrect and/or missing, no symbols loaded for user32.dll]	
     	user32.dll!7e418816() 	
     	user32.dll!7e428ea0() 	
     	user32.dll!7e43c6d3() 	
     	fred2_open_3_6_11d_INF_SSE2.exe!CWnd::IsDialogMessageA(tagMSG * lpMsg=0x0017dec0)  Line 198	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!CWnd::PreTranslateInput(tagMSG * lpMsg=0x0017dec0)  Line 4332	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!CDialog::PreTranslateMessage(tagMSG * pMsg=0x0017dec0)  Line 80	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!CWnd::WalkPreTranslateTree(HWND__ * hWndStop=0x00d404cc, tagMSG * pMsg=0x0017dec0)  Line 2946 + 0x14 bytes	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!AfxInternalPreTranslateMessage(tagMSG * pMsg=0x0017dec0)  Line 233 + 0x12 bytes	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!CWinThread::PreTranslateMessage(tagMSG * pMsg=0x0017dec0)  Line 777 + 0x9 bytes	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!AfxPreTranslateMessage(tagMSG * pMsg=0x0017dec0)  Line 252 + 0x11 bytes	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!AfxInternalPumpMessage()  Line 178 + 0x18 bytes	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!CWinThread::PumpMessage()  Line 900	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!AfxPumpMessage()  Line 190 + 0xd bytes	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!CWnd::RunModalLoop(unsigned long dwFlags=4)  Line 4386 + 0x5 bytes	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!CDialog::DoModal()  Line 584 + 0xc bytes	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!CShipEditorDlg::OnSpecialExp()  Line 1972	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!_AfxDispatchCmdMsg(CCmdTarget * pTarget=0x01226790, unsigned int nID=1415, int nCode=0, void (void)* pfn=0x00838dda, void * pExtra=0x00000000, unsigned int nSig=57, AFX_CMDHANDLERINFO * pHandlerInfo=0x00000000)  Line 82	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!CCmdTarget::OnCmdMsg(unsigned int nID=1415, int nCode=0, void * pExtra=0x00000000, AFX_CMDHANDLERINFO * pHandlerInfo=0x00000000)  Line 381 + 0x27 bytes	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!CDialog::OnCmdMsg(unsigned int nID=1415, int nCode=0, void * pExtra=0x00000000, AFX_CMDHANDLERINFO * pHandlerInfo=0x00000000)  Line 85 + 0x18 bytes	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!CWnd::OnCommand(unsigned int wParam=1415, long lParam=40044112)  Line 2364	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!CShipEditorDlg::OnCommand(unsigned int wParam=1415, long lParam=40044112)  Line 1392	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!CWnd::OnWndMsg(unsigned int message=273, unsigned int wParam=1415, long lParam=40044112, long * pResult=0x0012fa3c)  Line 1769 + 0x1e bytes	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!CWnd::WindowProc(unsigned int message=273, unsigned int wParam=1415, long lParam=40044112)  Line 1755 + 0x20 bytes	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!AfxCallWndProc(CWnd * pWnd=0x01226790, HWND__ * hWnd=0x031f05b8, unsigned int nMsg=273, unsigned int wParam=1415, long lParam=40044112)  Line 240 + 0x1c bytes	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!AfxWndProc(HWND__ * hWnd=0x031f05b8, unsigned int nMsg=273, unsigned int wParam=1415, long lParam=40044112)  Line 403	C++
     	user32.dll!7e418734() 	
     	user32.dll!7e418816() 	
     	user32.dll!7e428ea0() 	
     	user32.dll!7e43c6d3() 	
     	fred2_open_3_6_11d_INF_SSE2.exe!CWnd::IsDialogMessageA(tagMSG * lpMsg=0x0017dec0)  Line 198	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!CWnd::PreTranslateInput(tagMSG * lpMsg=0x0017dec0)  Line 4332	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!CDialog::PreTranslateMessage(tagMSG * pMsg=0x0017dec0)  Line 80	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!CWnd::WalkPreTranslateTree(HWND__ * hWndStop=0x00d404cc, tagMSG * pMsg=0x0017dec0)  Line 2946 + 0x14 bytes	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!AfxInternalPreTranslateMessage(tagMSG * pMsg=0x0017dec0)  Line 233 + 0x12 bytes	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!CWinThread::PreTranslateMessage(tagMSG * pMsg=0x0017dec0)  Line 777 + 0x9 bytes	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!AfxPreTranslateMessage(tagMSG * pMsg=0x0017dec0)  Line 252 + 0x11 bytes	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!AfxInternalPumpMessage()  Line 178 + 0x18 bytes	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!CWinThread::PumpMessage()  Line 900	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!CWinThread::Run()  Line 629 + 0xd bytes	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!CWinApp::Run()  Line 865	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!AfxWinMain(HINSTANCE__ * hInstance=0x00400000, HINSTANCE__ * hPrevInstance=0x00000000, char * lpCmdLine=0x00152344, int nCmdShow=1)  Line 47 + 0xd bytes	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!WinMain(HINSTANCE__ * hInstance=0x00400000, HINSTANCE__ * hPrevInstance=0x00000000, char * lpCmdLine=0x00152344, int nCmdShow=1)  Line 30	C++
     	fred2_open_3_6_11d_INF_SSE2.exe!__tmainCRTStartup()  Line 263 + 0x2c bytes	C
     	fred2_open_3_6_11d_INF_SSE2.exe!WinMainCRTStartup()  Line 182	C
     	kernel32.dll!7c817077() 	
    
    -		Sexp_variables	0x012516d0 struct sexp_variable * Sexp_variables {type=128 text=0x012516d4 "" variable_name=0x012516f4 "" }	sexp_variable [100]
    +		[0]	{type=128 text=0x012516d4 "" variable_name=0x012516f4 "" }	sexp_variable
    +		[1]	{type=128 text=0x01251718 "" variable_name=0x01251738 "" }	sexp_variable
    +		[2]	{type=128 text=0x0125175c "" variable_name=0x0125177c "" }	sexp_variable
    +		[3]	{type=128 text=0x012517a0 "" variable_name=0x012517c0 "" }	sexp_variable
    +		[4]	{type=128 text=0x012517e4 "" variable_name=0x01251804 "" }	sexp_variable
    +		[5]	{type=128 text=0x01251828 "" variable_name=0x01251848 "" }	sexp_variable
    +		[6]	{type=128 text=0x0125186c "" variable_name=0x0125188c "" }	sexp_variable
    +		[7]	{type=128 text=0x012518b0 "" variable_name=0x012518d0 "" }	sexp_variable
    +		[8]	{type=128 text=0x012518f4 "" variable_name=0x01251914 "" }	sexp_variable
    +		[9]	{type=128 text=0x01251938 "" variable_name=0x01251958 "" }	sexp_variable
    +		[10]	{type=128 text=0x0125197c "" variable_name=0x0125199c "" }	sexp_variable
    +		[11]	{type=128 text=0x012519c0 "" variable_name=0x012519e0 "" }	sexp_variable
    +		[12]	{type=128 text=0x01251a04 "" variable_name=0x01251a24 "" }	sexp_variable
    +		[13]	{type=128 text=0x01251a48 "" variable_name=0x01251a68 "" }	sexp_variable
    +		[14]	{type=128 text=0x01251a8c "" variable_name=0x01251aac "" }	sexp_variable
    +		[15]	{type=128 text=0x01251ad0 "" variable_name=0x01251af0 "" }	sexp_variable
    +		[16]	{type=128 text=0x01251b14 "" variable_name=0x01251b34 "" }	sexp_variable
    +		[17]	{type=128 text=0x01251b58 "" variable_name=0x01251b78 "" }	sexp_variable
    +		[18]	{type=128 text=0x01251b9c "" variable_name=0x01251bbc "" }	sexp_variable
    +		[19]	{type=128 text=0x01251be0 "" variable_name=0x01251c00 "" }	sexp_variable
    +		[20]	{type=128 text=0x01251c24 "" variable_name=0x01251c44 "" }	sexp_variable
    +		[21]	{type=128 text=0x01251c68 "" variable_name=0x01251c88 "" }	sexp_variable
    +		[22]	{type=128 text=0x01251cac "" variable_name=0x01251ccc "" }	sexp_variable
    +		[23]	{type=128 text=0x01251cf0 "" variable_name=0x01251d10 "" }	sexp_variable
    +		[24]	{type=128 text=0x01251d34 "" variable_name=0x01251d54 "" }	sexp_variable
    +		[25]	{type=128 text=0x01251d78 "" variable_name=0x01251d98 "" }	sexp_variable
    +		[26]	{type=128 text=0x01251dbc "" variable_name=0x01251ddc "" }	sexp_variable
    +		[27]	{type=128 text=0x01251e00 "" variable_name=0x01251e20 "" }	sexp_variable
    +		[28]	{type=128 text=0x01251e44 "40" variable_name=0x01251e64 "Green Pawn#8 6" }	sexp_variable
    +		[29]	{type=128 text=0x01251e88 "80" variable_name=0x01251ea8 "Green Pawn#8 6" }	sexp_variable
    +		[30]	{type=128 text=0x01251ecc "10000" variable_name=0x01251eec "Green Pawn#8 6" }	sexp_variable
    +		[31]	{type=128 text=0x01251f10 "1000" variable_name=0x01251f30 "Green Pawn#8 6" }	sexp_variable
    +		[32]	{type=128 text=0x01251f54 "0" variable_name=0x01251f74 "Green Pawn#8 6" }	sexp_variable
    +		[33]	{type=128 text=0x01251f98 "10" variable_name=0x01251fb8 "Green Pawn#8 6" }	sexp_variable
    +		[34]	{type=3 text=0x01251fdc "40" variable_name=0x01251ffc "Green Pawn#8 6" }	sexp_variable
    +		[35]	{type=3 text=0x01252020 "80" variable_name=0x01252040 "Green Pawn#8 6" }	sexp_variable
    +		[36]	{type=3 text=0x01252064 "10000" variable_name=0x01252084 "Green Pawn#8 6" }	sexp_variable
    +		[37]	{type=3 text=0x012520a8 "1000" variable_name=0x012520c8 "Green Pawn#8 6" }	sexp_variable
    +		[38]	{type=3 text=0x012520ec "0" variable_name=0x0125210c "Green Pawn#8 6" }	sexp_variable
    +		[39]	{type=3 text=0x01252130 "10" variable_name=0x01252150 "Green Pawn#8 6" }	sexp_variable
    +		[40]	{type=3 text=0x01252174 "40" variable_name=0x01252194 "Green Pawn#8 5" }	sexp_variable
    +		[41]	{type=3 text=0x012521b8 "80" variable_name=0x012521d8 "Green Pawn#8 5" }	sexp_variable
    +		[42]	{type=3 text=0x012521fc "10000" variable_name=0x0125221c "Green Pawn#8 5" }	sexp_variable
    +		[43]	{type=3 text=0x01252240 "1000" variable_name=0x01252260 "Green Pawn#8 5" }	sexp_variable
    +		[44]	{type=3 text=0x01252284 "0" variable_name=0x012522a4 "Green Pawn#8 5" }	sexp_variable
    +		[45]	{type=3 text=0x012522c8 "10" variable_name=0x012522e8 "Green Pawn#8 5" }	sexp_variable
    +		[46]	{type=3 text=0x0125230c "40" variable_name=0x0125232c "Green Pawn#8 4" }	sexp_variable
    +		[47]	{type=3 text=0x01252350 "80" variable_name=0x01252370 "Green Pawn#8 4" }	sexp_variable
    +		[48]	{type=3 text=0x01252394 "10000" variable_name=0x012523b4 "Green Pawn#8 4" }	sexp_variable
    +		[49]	{type=3 text=0x012523d8 "1000" variable_name=0x012523f8 "Green Pawn#8 4" }	sexp_variable
    +		[50]	{type=3 text=0x0125241c "0" variable_name=0x0125243c "Green Pawn#8 4" }	sexp_variable
    +		[51]	{type=3 text=0x01252460 "10" variable_name=0x01252480 "Green Pawn#8 4" }	sexp_variable
    +		[52]	{type=3 text=0x012524a4 "40" variable_name=0x012524c4 "Green Pawn#8 3" }	sexp_variable
    +		[53]	{type=3 text=0x012524e8 "80" variable_name=0x01252508 "Green Pawn#8 3" }	sexp_variable
    +		[54]	{type=3 text=0x0125252c "10000" variable_name=0x0125254c "Green Pawn#8 3" }	sexp_variable
    +		[55]	{type=3 text=0x01252570 "1000" variable_name=0x01252590 "Green Pawn#8 3" }	sexp_variable
    +		[56]	{type=3 text=0x012525b4 "0" variable_name=0x012525d4 "Green Pawn#8 3" }	sexp_variable
    +		[57]	{type=3 text=0x012525f8 "10" variable_name=0x01252618 "Green Pawn#8 3" }	sexp_variable
    +		[58]	{type=3 text=0x0125263c "40" variable_name=0x0125265c "Green Pawn#8 2" }	sexp_variable
    +		[59]	{type=3 text=0x01252680 "80" variable_name=0x012526a0 "Green Pawn#8 2" }	sexp_variable
    +		[60]	{type=3 text=0x012526c4 "10000" variable_name=0x012526e4 "Green Pawn#8 2" }	sexp_variable
    +		[61]	{type=3 text=0x01252708 "1000" variable_name=0x01252728 "Green Pawn#8 2" }	sexp_variable
    +		[62]	{type=3 text=0x0125274c "0" variable_name=0x0125276c "Green Pawn#8 2" }	sexp_variable
    +		[63]	{type=3 text=0x01252790 "10" variable_name=0x012527b0 "Green Pawn#8 2" }	sexp_variable
    +		[64]	{type=3 text=0x012527d4 "40" variable_name=0x012527f4 "Green Pawn#8 1" }	sexp_variable
    +		[65]	{type=3 text=0x01252818 "80" variable_name=0x01252838 "Green Pawn#8 1" }	sexp_variable
    +		[66]	{type=3 text=0x0125285c "10000" variable_name=0x0125287c "Green Pawn#8 1" }	sexp_variable
    +		[67]	{type=3 text=0x012528a0 "1000" variable_name=0x012528c0 "Green Pawn#8 1" }	sexp_variable
    +		[68]	{type=3 text=0x012528e4 "0" variable_name=0x01252904 "Green Pawn#8 1" }	sexp_variable
    +		[69]	{type=3 text=0x01252928 "10" variable_name=0x01252948 "Green Pawn#8 1" }	sexp_variable
    +		[70]	{type=3 text=0x0125296c "40" variable_name=0x0125298c "Red Pawn#8 6" }	sexp_variable
    +		[71]	{type=3 text=0x012529b0 "80" variable_name=0x012529d0 "Red Pawn#8 6" }	sexp_variable
    +		[72]	{type=3 text=0x012529f4 "10000" variable_name=0x01252a14 "Red Pawn#8 6" }	sexp_variable
    +		[73]	{type=3 text=0x01252a38 "1000" variable_name=0x01252a58 "Red Pawn#8 6" }	sexp_variable
    +		[74]	{type=3 text=0x01252a7c "0" variable_name=0x01252a9c "Red Pawn#8 6" }	sexp_variable
    +		[75]	{type=3 text=0x01252ac0 "10" variable_name=0x01252ae0 "Red Pawn#8 6" }	sexp_variable
    +		[76]	{type=3 text=0x01252b04 "40" variable_name=0x01252b24 "Red Pawn#8 5" }	sexp_variable
    +		[77]	{type=3 text=0x01252b48 "80" variable_name=0x01252b68 "Red Pawn#8 5" }	sexp_variable
    +		[78]	{type=3 text=0x01252b8c "10000" variable_name=0x01252bac "Red Pawn#8 5" }	sexp_variable
    +		[79]	{type=3 text=0x01252bd0 "1000" variable_name=0x01252bf0 "Red Pawn#8 5" }	sexp_variable
    +		[80]	{type=3 text=0x01252c14 "0" variable_name=0x01252c34 "Red Pawn#8 5" }	sexp_variable
    +		[81]	{type=3 text=0x01252c58 "10" variable_name=0x01252c78 "Red Pawn#8 5" }	sexp_variable
    +		[82]	{type=3 text=0x01252c9c "40" variable_name=0x01252cbc "Red Pawn#8 4" }	sexp_variable
    +		[83]	{type=3 text=0x01252ce0 "80" variable_name=0x01252d00 "Red Pawn#8 4" }	sexp_variable
    +		[84]	{type=3 text=0x01252d24 "10000" variable_name=0x01252d44 "Red Pawn#8 4" }	sexp_variable
    +		[85]	{type=3 text=0x01252d68 "1000" variable_name=0x01252d88 "Red Pawn#8 4" }	sexp_variable
    +		[86]	{type=3 text=0x01252dac "0" variable_name=0x01252dcc "Red Pawn#8 4" }	sexp_variable
    +		[87]	{type=3 text=0x01252df0 "10" variable_name=0x01252e10 "Red Pawn#8 4" }	sexp_variable
    +		[88]	{type=3 text=0x01252e34 "40" variable_name=0x01252e54 "Red Pawn#8 3" }	sexp_variable
    +		[89]	{type=3 text=0x01252e78 "80" variable_name=0x01252e98 "Red Pawn#8 3" }	sexp_variable
    +		[90]	{type=3 text=0x01252ebc "10000" variable_name=0x01252edc "Red Pawn#8 3" }	sexp_variable
    +		[91]	{type=3 text=0x01252f00 "1000" variable_name=0x01252f20 "Red Pawn#8 3" }	sexp_variable
    +		[92]	{type=3 text=0x01252f44 "0" variable_name=0x01252f64 "Red Pawn#8 3" }	sexp_variable
    +		[93]	{type=3 text=0x01252f88 "10" variable_name=0x01252fa8 "Red Pawn#8 3" }	sexp_variable
    +		[94]	{type=3 text=0x01252fcc "40" variable_name=0x01252fec "Red Pawn#8 2" }	sexp_variable
    +		[95]	{type=3 text=0x01253010 "80" variable_name=0x01253030 "Red Pawn#8 2" }	sexp_variable
    +		[96]	{type=3 text=0x01253054 "10000" variable_name=0x01253074 "Red Pawn#8 2" }	sexp_variable
    +		[97]	{type=3 text=0x01253098 "1000" variable_name=0x012530b8 "Red Pawn#8 2" }	sexp_variable
    +		[98]	{type=3 text=0x012530dc "0" variable_name=0x012530fc "Red Pawn#8 2" }	sexp_variable
    +		[99]	{type=3 text=0x01253120 "10" variable_name=0x01253140 "Red Pawn#8 2" }	sexp_variable
    -		Sexp_variables[i]	{type=0 text=0x01251690 "" variable_name=0x012516b0 "" }	sexp_variable
    		type	0	int
    +		text	0x01251690 ""	char [32]
    +		variable_name	0x012516b0 ""	char [32]
    -		Sexp_variables[i].variable_name	0x012516b0 ""	char [32]
    		[0]	0	char
    		[1]	0	char
    		[2]	0	char
    		[3]	0	char
    		[4]	1 ''	char
    		[5]	0	char
    		[6]	0	char
    		[7]	0	char
    		[8]	0	char
    		[9]	0	char
    		[10]	0	char
    		[11]	0	char
    		[12]	0	char
    		[13]	0	char
    		[14]	0	char
    		[15]	0	char
    		[16]	0	char
    		[17]	0	char
    		[18]	0	char
    		[19]	0	char
    		[20]	88 'X'	char
    		[21]	-93 ''	char
    		[22]	18 ''	char
    		[23]	0	char
    		[24]	0	char
    		[25]	0	char
    		[26]	0	char
    		[27]	0	char
    		[28]	0	char
    		[29]	0	char
    		[30]	0	char
    		[31]	0	char
    		i	-1	int
    		num_blocks	6	int
    +		ship_name	0x013c075c "Red Pawn#8 2"	const char *
    		start_index	-1	int
    
    
    txt file icon specialhits.txt (20,663 bytes) 2009-10-27 04:09 +

-Relationships
+Relationships

-Notes

~0011274

karajorma (administrator)

Can we just switch special explosions and special hits to a non-stupid way of doing things? :p

~0011831

karajorma (administrator)

Forgot to close this.
+Notes

-Issue History
Date Modified Username Field Change
2009-10-27 04:09 FUBAR-BDHR New Issue
2009-10-27 04:09 FUBAR-BDHR File Added: specialhits.txt
2009-11-14 04:00 karajorma Note Added: 0011274
2010-02-11 00:48 karajorma Status new => assigned
2010-02-11 00:48 karajorma Assigned To => karajorma
2010-03-25 08:10 karajorma Note Added: 0011831
2010-03-25 08:10 karajorma Status assigned => resolved
2010-03-25 08:10 karajorma Fixed in Version => 3.6.12 RC2
2010-03-25 08:10 karajorma Resolution open => fixed
+Issue History